API referenceApprovals
JavaScript SDK: swarmhit.pendingComments.get(pendingCommentId)
Authorization
bearerAuth AuthorizationBearer <token>
An API key created on the Access tokens page.
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/pending-comments/string"{ "data": { "id": "string", "campaignId": "string", "campaignLeadId": "string", "leadId": "string", "stepId": "string", "status": "pending", "postUrl": "string", "postText": "string", "prompt": "string", "comment": "string", "firstName": "string", "lastName": "string", "headline": "string", "profileUrl": "string", "publicIdentifier": "string", "decidedAt": "2019-08-24T14:15:22Z", "postedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}Edit a comment draft PATCH
**JavaScript SDK:** [`swarmhit.pendingComments.update(pendingCommentId, params)`](/smart-api/sdk/methods#pendingComments) Replace the draft comment text without approving it. An unknown id is a 400 with `code: warning-pending-comment-not-found`, and a draft that is no longer `pending` a 400 with `code: warning-pending-comment-decided`.
Get a voice note awaiting review GET
**JavaScript SDK:** [`swarmhit.pendingVoiceNotes.get(pendingVoiceNoteId)`](/smart-api/sdk/methods#pendingVoiceNotes)